Changeset 93207


Ignore:
Timestamp:
May 17, 2012, 7:49:43 PM (7 years ago)
Author:
vince@…
Message:

Make PostGIS 2.0 default and fixes a conflict between default_variants.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gis/qgis/Portfile

    r92466 r93207  
    5252}
    5353
     54# Overrides default
     55
     56if {![variant_isset postgis] && ![variant_isset postgis2]} {
     57        default_variants                +postgis2
     58}
     59
     60if {![variant_isset python25] && ![variant_isset python26] &&
     61        ![variant_isset python27]} {
     62       
     63        default_variants                +python27
     64}
     65
     66if {![variant_isset postgresql90] && ![variant_isset postgresql91]} {
     67       
     68        default_variants                +postgresql91
     69}
     70
    5471set Py_own_FRM  ${worksrcpath}/Python.framework
    5572
     
    139156        depends_lib-append              port:grass
    140157        configure.args-append   "-DGRASS_PREFIX=${prefix}/share/grass-6.4.0"
    141 }
    142 
    143 # Overrides default
    144 
    145 default_variants                        +postgis
    146 
    147 if {![variant_isset python25] && ![variant_isset python26] &&
    148         ![variant_isset python27]} {
    149        
    150         default_variants                +python27
    151 }
    152 
    153 if {[variant_isset postgis] && ![variant_isset postgresql90] &&
    154         ![variant_isset postgresql91]} {
    155        
    156         default_variants                +postgresql91
    157158}
    158159
Note: See TracChangeset for help on using the changeset viewer.